petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecNormalize

Normalizes a vector by 2-norm.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNormalize(Vec x,PetscReal *val)

Collective on Vec

### Input Parameters

| x | - the vector

### Output Parameter

| x | - the normalized vector
| val | - the vector norm before normalization

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex67.c.html
src/snes/examples/tutorials/ex62.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages